import datetime,os
import log,variables,skel,tcgcore

def wantedgen():
    if not os.path.isdir("build/wanted"):
        os.mkdir("build/wanted")
    if os.path.exists("build/wanted/index.html"):
        os.remove("build/wanted/index.html")
    thefile = "build/wanted/index.html"
    skel.headerwrite(thefile,"wanted")
    content = open(thefile,"a")
    content.write("<h1>wanted cards</h1>\n")
    decksofinterest = []
    for card in tcgcore.ownedcards():
        if card[0:4] != "sig_":
                decksofinterest.append(card[:-2])
    decksofinterest = sorted(list(dict.fromkeys(decksofinterest)))
    highpriority = []
    medpriority = []
    lowpriority = []
    for deck in decksofinterest:
        if tcgcore.collecting(deck):
            wantedlist = ["01","02","03","04","05","06","07","08","09","10","11","12","13","14","15","16","17","18","19","20"]
            for card in wantedlist:
                combined = deck + card
                if combined not in tcgcore.ownedcards():
                    if tcgcore.priority(deck) == "high":
                        highpriority.append(combined)
                    elif tcgcore.priority(deck) == "medium":
                        medpriority.append(combined)
                    elif tcgcore.priority(deck) == "low":
                        lowpriority.append(combined)
    if len(highpriority) > 0:
        content.write("<h2>High priority</h2>\n<textarea readonly>" + ", ".join(highpriority) + "</textarea>\n<p>")
        for card in highpriority:
            content.write(tcgcore.cardtext(card))
            if highpriority.index(card) == len(highpriority) - 1:
                content.write(" ")
            else:
                content.write(", ")
        content.write("</p>\n")
    if len(medpriority) > 0:
        content.write("<h2>Medium priority</h2>\n<textarea readonly>" + ", ".join(medpriority) + "</textarea>\n<p>")
        for card in medpriority:
            content.write(tcgcore.cardtext(card))
            if medpriority.index(card) == len(medpriority) - 1:
                content.write(" ")
            else:
                content.write(", ")
        content.write("</p>\n")
    if len(lowpriority) > 0:
        content.write("<h2>Low priority</h2>\n<textarea readonly>" + ", ".join(lowpriority) + "</textarea>\n<p>")
        for card in lowpriority:
            content.write(tcgcore.cardtext(card))
            if lowpriority.index(card) == len(lowpriority) - 1:
                content.write(" ")
            else:
                content.write(", ")
        content.write("</p>\n")
    content.write("<p>I’m probably also interested in anything I’m <a href=\"/mass\">mass collecting</a>.</p>\n")
    content.close()
    skel.footerwrite(thefile)

if __name__ == "__main__":
    wantedgen()
